regina::Example< 3 > Class Template Reference
Triangulations

Offers routines for constructing a variety of sample 3-dimensional triangulations. More...

`#include <triangulation/example3.h>`

Inheritance diagram for regina::Example< 3 >:

## Static Public Member Functions

static Triangulation< dim > * | sphere ()
| Returns a two-simplex triangulation of the dim-sphere. More...
static Triangulation< dim > * | simplicialSphere ()
| Returns the standard (dim+2)-simplex triangulation of the dim-sphere as the boundary of a (dim+1)-simplex. More...
static Triangulation< dim > * | sphereBundle ()
| Returns a two-simplex triangulation of the product space `S^(dim-1) x S^1`. More...
static Triangulation< dim > * | twistedSphereBundle ()
| Returns a two-simplex triangulation of the twisted product space `S^(dim-1) x~ S^1`. More...
static Triangulation< dim > * | ball ()
| Bounded Triangulations. More...
static Triangulation< dim > * | ballBundle ()
| Returns a triangulation of the product space `B^(dim-1) x S^1`. More...
static Triangulation< dim > * | twistedBallBundle ()
| Returns a triangulation of the twisted product space `B^(dim-1) x~ S^1`. More...
static Triangulation< dim > * | doubleCone (const Triangulation< dim-1 > &base)
| Returns a double cone over the given (dim-1)-dimensional triangulation. More...
static Triangulation< dim > * | singleCone (const Triangulation< dim-1 > &base)
| Returns a single cone over the given (dim-1)-dimensional triangulation. More...
Closed Triangulations
static Triangulation< 3 > * | threeSphere ()
| Returns a one-tetrahedron triangulation of the 3-sphere. More...
static Triangulation< 3 > * | bingsHouse ()
| Returns the two-tetrahedron triangulation of the 3-sphere that is dual to Bing's house with two rooms. More...
static Triangulation< 3 > * | s2xs1 ()
| Returns a two-tetrahedron triangulation of the product space `S^2 x S^1`. More...
static Triangulation< 3 > * | rp2xs1 ()
| Returns a three-tetrahedron triangulation of the non-orientable product space `RP^2 x S^1`. More...
static Triangulation< 3 > * | rp3rp3 ()
| Returns a triangulation of the connected sum `RP^3 # RP^3`. More...
static Triangulation< 3 > * | lens (size_t p, size_t q)
| Returns a triangulation of the lens space `L(p,q)`. More...
static Triangulation< 3 > * | poincareHomologySphere ()
| Returns the five-tetrahedron triangulation of the Poincare homology sphere. More...
static Triangulation< 3 > * | weeks ()
| Returns a nine-tetrahedron minimal triangulation of the Weeks manifold. More...
static Triangulation< 3 > * | weberSeifert ()
| Returns a one-vertex triangulation of the Weber-Seifert dodecahedral space. More...
static Triangulation< 3 > * | smallClosedOrblHyperbolic ()
| Returns the nine-tetrahedron closed orientable hyperbolic 3-manifold with volume 0.94270736. More...
static Triangulation< 3 > * | smallClosedNonOrblHyperbolic ()
| Returns the eleven-tetrahedron closed non-orientable hyperbolic 3-manifold with volume 2.02988321. More...
static Triangulation< 3 > * | sphere600 ()
| Returns the boundary 3-sphere of the regular 600-cell. More...
Finite Bounded Triangulations
static Triangulation< 3 > * | lst (size_t a, size_t b)
| Returns the layered solid torus `LST(a,b,c)`. More...
static Triangulation< 3 > * | solidKleinBottle ()
| Returns a triangulation of the solid Klein bottle. More...
Ideal Triangulations
static Triangulation< 3 > * | figureEight ()
| Returns a two-tetrahedron ideal triangulation of the figure eight knot complement. More...
static Triangulation< 3 > * | trefoil ()
| Returns a two-tetrahedron ideal triangulation of the trefoil knot complement. More...
static Triangulation< 3 > * | whiteheadLink ()
| Returns a four-tetrahedron ideal triangulation of the Whitehead link complement. More...
static Triangulation< 3 > * | gieseking ()
| Returns the one-tetrahedron ideal triangulation of the non-orientable Gieseking manifold. More...
static Triangulation< 3 > * | cuspedGenusTwoTorus ()
| Returns a triangulation of a solid genus two torus with a cusped boundary. More...

## Detailed Description

### template<>
class regina::Example< 3 >

Offers routines for constructing a variety of sample 3-dimensional triangulations.

This is a specialisation of the generic Example class template; see the Example template documentation for a general overview of how the example triangulation classes work.

This 3-dimensional specialisation offers significant extra functionality, by providing several more hard-coded and parameterised constructions.

## Member Function Documentation

## ball()

Triangulation< dim > * regina::detail::ExampleBase< dim >::ball | ( |  | ) |

static inherited

Bounded Triangulations.

Returns a one-simplex triangulation of the dim-ball.

Returns
  a newly constructed triangulation, which must be destroyed by the caller of this routine.

## ballBundle()

Triangulation< dim > * regina::detail::ExampleBase< dim >::ballBundle | ( |  | ) |

static inherited

Returns a triangulation of the product space `B^(dim-1) x S^1`.

This will use one simplex in odd dimensions, or two simplices in even dimensions.

Returns
  a newly constructed triangulation, which must be destroyed by the caller of this routine.

## doubleCone()

Triangulation< dim > * regina::detail::ExampleFromLowDim< dim, available >::doubleCone | ( | const Triangulation< dim-1 > & | base | ) |

static inherited

Returns a double cone over the given (dim-1)-dimensional triangulation.

If the given triangulation represents the manifold `M`, then this returns an ideal triangulation of the product `M x I` (with two ideal boundary components). A copy of the original triangulation base can be found at the centre of this construction, formed from the dim-simplices that sit between the two ideal vertices.

Note that, as a special case, if `M` is either a sphere or a ball, then this routine returns a (dim)-sphere or a (dim)-ball (since "ideal spheres" and "ideal balls" just become regular internal and boundary vertices respectively).

This construction is essentially the suspension of the triangulation base. We do not call it this however, since from a topological point of view, to form the ideal triangulation of `M x I` we "remove" the vertices at the apex of each cone.

Warning
  If the given (dim-1)-dimensional triangulation has any boundary whatsoever (either real or ideal), then unless it is a (dim-1)-ball, you will obtain an invalid dim-manifold triangulation as a result.

Returns
  a newly constructed triangulation, which must be destroyed by the caller of this routine.

## simplicialSphere()

Triangulation< dim > * regina::detail::ExampleBase< dim >::simplicialSphere | ( |  | ) |

static inherited

Returns the standard (dim+2)-simplex triangulation of the dim-sphere as the boundary of a (dim+1)-simplex.

Returns
  a newly constructed triangulation, which must be destroyed by the caller of this routine.

## singleCone()

Triangulation< dim > * regina::detail::ExampleFromLowDim< dim, available >::singleCone | ( | const Triangulation< dim-1 > & | base | ) |

static inherited

Returns a single cone over the given (dim-1)-dimensional triangulation.

If the given triangulation represents the manifold `M`, then this returns a triangulation of the product `M x I` that has one real boundary component and one ideal boundary component. The triangulation of the real boundary component will be identical to the original (dim-1)-dimensional triangulation base.

Warning
  If the given (dim-1)-dimensional triangulation has any boundary whatsoever (either real or ideal), then unless it is a (dim-1)-ball, you will obtain an invalid dim-manifold triangulation as a result.

Returns
  a newly constructed triangulation, which must be destroyed by the caller of this routine.

## sphere()

Triangulation< dim > * regina::detail::ExampleBase< dim >::sphere | ( |  | ) |

static inherited

Returns a two-simplex triangulation of the dim-sphere.

Returns
  a newly constructed triangulation, which must be destroyed by the caller of this routine.

## sphereBundle()

Triangulation< dim > * regina::detail::ExampleBase< dim >::sphereBundle | ( |  | ) |

static inherited

Returns a two-simplex triangulation of the product space `S^(dim-1) x S^1`.

Returns
  a newly constructed triangulation, which must be destroyed by the caller of this routine.

## twistedBallBundle()

Triangulation< dim > * regina::detail::ExampleBase< dim >::twistedBallBundle | ( |  | ) |

static inherited

Returns a triangulation of the twisted product space `B^(dim-1) x~ S^1`.

This will use one simplex in even dimensions, or two simplices in odd dimensions.

Returns
  a newly constructed triangulation, which must be destroyed by the caller of this routine.

## twistedSphereBundle()

Triangulation< dim > * regina::detail::ExampleBase< dim >::twistedSphereBundle | ( |  | ) |

static inherited

Returns a two-simplex triangulation of the twisted product space `S^(dim-1) x~ S^1`.

Returns
  a newly constructed triangulation, which must be destroyed by the caller of this routine.

The documentation for this class was generated from the following file:

- triangulation/example3.h

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).